function sintrend_prognoz_logabs(varargin)
%x=-10:0.01:10;
%y=x*0.001+sin(x);
if (length(varargin)==1)
    fullpath='';
    outfile='';
    paramsfile='';
    niter=varargin{1};
    % Единственный параметр - кол-во итераций
else
    if (length(varargin)==3)
        fullpath=varargin{1};
        niter=varargin{3};
        outfile=varargin{2}
        paramsfile=strrep(outfile,'.txt','.mat');
        % 3 параметра: имя входного файла, имя выходного, кол-во итераций.
    else
        niter=5;
        fullpath='';
        outfile='';
        paramsfile='';    
    end
end
if length(fullpath)==0
    [file,path]=uigetfile('*.txt','Укажите входной файл');
    fullpath=strcat(path,file);
end
infile=fullpath;
outfile_remains=strrep(fullpath,'.txt','_remains.txt');
sintrend_logabs(fullpath,outfile_remains,niter);
paramfile=strrep(fullpath,'.txt','_remains.mat');
vosstanovl_logabs(paramfile);
